<?php
    ini_set("display_errors", "off");
	session_start();
	
	
	function ConectarseServidor()
	{
		//if (!($link=mysql_connect("localhost","root","")))
		if (!($link=mysql_connect("localhost","coopserp_usc","AlexCuero")))
		{
			echo "Error conectando a la base de datos.";
			exit();
		}
		//echo "Conexión con la base de datos conseguida.<br>";
		return $link;
	}

	function ConectarseBaseDatos($link)
	{
		//if (!mysql_select_db("creditos",$link))
		if (!mysql_select_db("coopserp_usc",$link))
		{
			echo "Error seleccionando la base de datos.";
			exit();
		}
		//echo "Selección con la base de datos conseguida.<br>";
	}

	function desconectarse($link)
	{
		if(!mysql_close($link))
		{
			echo "FALLO CERRANDO LA CONEXION";
			exit();
		}; //cierra la conexion
		//echo "se cerro la base de datos";
	}

	function consultas($consulta)
	{
		$respuesta=mysql_query($consulta);
		return $respuesta;
	}
	
	
	function bitacora($idUsuario,$concepto)
	{
		$respuesta=mysql_query("INSERT INTO bitacora (fecha,hora,descripcion,idusuario) VALUES (CURDATE(), CURTIME(), '$concepto', '$idUsuario')");
		return $respuesta;
	}
	
	function perfiles()
	{
		$respuesta=mysql_query("SELECT * FROM perfil");
		return $respuesta;
	}
	
	function cliente()
	{
		$respuesta=mysql_query("SELECT cedula, CONCAT( nombre,  ' ', apellido ) as cliente FROM  `cliente");
		return $respuesta;
	}
	
	function zona()
	{
		$respuesta=mysql_query("SELECT * FROM  zona");
		return $respuesta;
	}
	
	function cobrador()
	{
		$respuesta=mysql_query("SELECT id_cobrador, concat(nombre,' ',apellido) cobrador, nombre_zona zona  FROM cobrador cobrador, zona zona WHERE cobrador.zona = zona.id_zona");
		return $respuesta;
	}
	
	function forma_pago()//listar formas de pago
	{
		$respuesta=mysql_query("SELECT * FROM  forma_pago");
		return $respuesta;
	}
	
	function Busca_forma_pago($forma)
	{
		$respuesta=mysql_query("SELECT *  FROM forma_pago WHERE id_forma = $forma");
		return $respuesta;
	}
	
	
	function ultimo_credito()
	{
		$respuesta=mysql_insert_id();
		return $respuesta;
	}
	
	
	function list_creditos()
	{
		$respuesta=mysql_query("SELECT nro_credito, CONCAT(deu.nombre,' ',deu.apellido) deudor,CONCAT(cod.nombre,' ',cod.apellido) codeudor,
capital,num_cuota,tasa_interes,forma.forma_pago forma,valor_cuota,saldo_capital,cuota_pendiente,fecha,CONCAT(cobra.nombre,' ',cobra.apellido) Cobrador
FROM credito cre, cliente deu, cliente cod, cobrador cobra, forma_pago forma
WHERE cre.deudor = deu.cedula AND cre.codeudor = cod.cedula AND cre.cobrador = cobra.id_cobrador AND cre.forma_pago = forma.id_forma");
		return $respuesta;
	}

?>